<?include('header.php');?>
<div class="menucenter">
<?
if(!isset($_SESSION["username"]) && !isset($_SESSION["password"]))
{
	echo '<div class="error"><b>Ошибка! Для доступа к данной странице необходимо зарегистрироваться!</b></div>';
	include('footer.php');
	exit();
}else{

	$namep = text($_SESSION["username"]);

	require('stat_task.php');

	if(isset($_POST["id"]))
		{
			$option = text($_POST["option"]);
			$id = intval($_POST["id"]);

			if($option=="good")
				{
					$sql = mysql_query("SELECT * FROM seelf_task_pay WHERE id='$id' AND namep='$namep'");
					$row = mysql_fetch_assoc($sql);
						$idtask = $row["id"];
						$namep = $row["namep"];
						$ident = $row["ident"];
						$nameuser = $row["nameuser"];
						$payorder = $row["tipo"];
						$pay = $row["pay"];

					if($idtask==NULL|$namep==NULL)
						{
							echo '<div class="error"><b>Ошибка это не ваше задание!</b></div>';
							include ('footer.php');
							exit();
						}

					if($payorder!="")
						{
							echo '<div class="error"><b>Ошибка Вы уже подтверждали это задание!</b></div>';
							include ('footer.php');
							exit();
						}

require('karera/setup_status.php');

$referer = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '$nameuser'");
$refer = mysql_fetch_assoc($referer);

if($refer["referer"] != ""){

  $referer1 = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '".$refer["referer"]."'");
  $refer1 = mysql_fetch_assoc($referer1);

  $doxod_ref1 = $pay * ($st_users[$refer1["ball_status"]]["dox_ref_task"]/100);

  mysql_query("UPDATE tb_users
  SET `m_ts_ref` = `m_ts_ref` + '$doxod_ref1', `money` = `money` + '$doxod_ref1'
  WHERE username='".$refer["referer"]."'");

  if($refer1["referer"] != ""){

    $referer2 = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '".$refer1["referer"]."'");
	$refer2 = mysql_fetch_assoc($referer2);

	$doxod_ref2 = $pay * ($st_users[$refer2["ball_status"]]["dox_ref2_task"]/100);

    mysql_query("UPDATE `tb_users`
    SET `m_ts_ref2` = `m_ts_ref2` + '$doxod_ref2', `money` = `money` + '$doxod_ref2'
    WHERE `username` = '".$refer1["referer"]."'");

  }

}
mysql_query("UPDATE `tb_users`
SET `money` = `money` + '$pay',  `doxod` = `doxod` + '$doxod_ref1' + '$doxod_ref2', `reyt_user` = `reyt_user` + '0.05', `task` = `task` + '1', `rek` = `rek` +'$pay'
WHERE `username` = '$nameuser'");
$timenow=time();
mysql_query("insert into tb_mail (sender,recipient,subject,message,data) values ('Система','$nameuser','Задание выполнено','Рекламодатель подтвердил что вы выполнили его задание № $ident, при желании можете оставить коментарий на <a href=task.php?id=$ident>этой странице</a>.','$timenow')");
                                        mysql_query("UPDATE tb_users SET reyt_rek=reyt_rek+1 WHERE username='$namep'");
					mysql_query("UPDATE seelf_task_pay SET tipo='good', reyt_user=reyt_user+0.05 WHERE id='$idtask'") or die(mysql_error());
					mysql_query("UPDATE seelf_task SET good=good+1, inprogress=inprogress-1 WHERE id='$ident'") or die(mysql_error());
			$nowtime=time();
         $refer_kon=mysql_query("SELECT id
                  FROM still_konkurs_ref
                  WHERE idref=(SELECT id FROM tb_users WHERE username=(SELECT referer FROM tb_users WHERE username='$nameuser')) and vid='1'
                  and time_start < '".time()."' and time_start+(time_end*86400) > '".time()."' LIMIT 1");
                  if(mysql_num_rows($refer_kon) > 0){
                    $rk = mysql_fetch_assoc($refer_kon);

                    $top_kon=mysql_query("SELECT id
                    FROM still_top_kon WHERE idk='".$rk["id"]."' and  idu=(SELECT id FROM tb_users WHERE username='$nameuser') LIMIT 1");
                    if(mysql_num_rows($top_kon) > 0){
                      $tk = mysql_fetch_assoc($top_kon);

                      mysql_query("UPDATE still_top_kon SET danie=danie+'1' WHERE id='".$tk["id"]."'");

                    }else{

                      mysql_query("insert into still_top_kon (idu,danie,idk) values ((SELECT id FROM tb_users WHERE username='$nameuser'),'1','".$rk["id"]."')");

                    }

                  }
$res=mysql_query("select * from tb_comp where param='1'");
if(mysql_num_rows($res)>0){
while($row=mysql_fetch_array($res)){
$id=$row["id"];
$lidertype=$row["lidername"];
$t=time();
$sd=strtotime($row["startdate"]);
$ed=strtotime($row["enddate"]);
if($t>$sd && $t<$ed){
if($lidertype=='1'){
$res1=mysql_query("select wmid from tb_users where username='$nameuser'");
if(mysql_num_rows($res1)>0){$res1=mysql_fetch_array($res1); $lidername=$res1["wmid"];}else{$lidername='';}
}else{$lidername=$nameuser;}
if($lidername!=''){
$res1=mysql_query("select * from tb_compdata where idk='$id' and user='$lidername'");
if(mysql_num_rows($res1)>0){
$res1=mysql_Fetch_array($res1);
$resvalue=$res1["resvalue"]+1;
mysql_query("update tb_compdata set resvalue='$resvalue' where id='".$res1["id"]."'");
}else{
mysql_query("insert into tb_compdata (idk,user,resvalue) values ('$id','$lidername','1')");
}}}}}
					echo '<img src="img/ok.gif" width="20" align="absmiddle" border="0" height="20" alt="" />&nbsp;Выполнение задания одобрено!';
				}

			if($option=="bad")
				{
					$sql = mysql_query("SELECT * FROM seelf_task_pay WHERE id='$id' AND namep='$namep'");
					$row = mysql_fetch_assoc($sql);
						$idtask = $row["id"];
						$namep = $row["namep"];
						$ident = $row["ident"];
						$nameuser = $row["nameuser"];
						$payorder = $row["tipo"];
						$pay = $row["pay"];

					if($idtask==NULL|$namep==NULL)
						{
							echo '<div class="error"><b>Ошибка это не ваше задание!</b></div>';
							include ('footer.php');
							exit();
						}

					if($payorder!="")
						{
							echo '<div class="error"><b>Ошибка Вы уже подтверждали это задание!</b></div>';
							include ('footer.php');
							exit();
						}
                                        mysql_query("UPDATE `tb_users` SET 'reyt_user' = 'reyt_user' - '0.03' WHERE `username` = '$nameuser'");
$timenow=time();
mysql_query("insert into tb_mail (sender,recipient,subject,message,data) values ('Система','$nameuser','В выполнении задания отказано','Рекламодатель отказал вам в том что вы выполнили его задание № $ident, при желании можете оставить коментарий на <a href=task.php?id=$ident>этой странице</a>.','$timenow')");
					mysql_query("UPDATE seelf_task_pay SET tipo='bad', reyt_user=reyt_user-0.03 WHERE id='$idtask'") or die(mysql_error());

					mysql_query("UPDATE seelf_task SET credits=credits+1, bad=bad+1, reyt_user=reyt_user-0.03, inprogress=inprogress-1 WHERE id='$ident'") or die(mysql_error());

					echo '<div class="error">В оплате задания отказано!</div>';
				}
		}
?>
<?php

$tabla = mysql_query("SELECT * FROM seelf_task_pay WHERE namep='$namep' AND tipo='' ORDER BY id ASC");

if(mysql_num_rows($tabla)>0)
	{
		while ($rowzd = mysql_fetch_assoc($tabla))
			{
				$id = $rowzd["id"];
				$title = $rowzd["title"];
				$nameuser = $rowzd["nameuser"];
				$c_text = $rowzd["c_text"];
				//$ip = $rowzd["ip"];
				$time = $rowzd["time"]; $time = DATE("d.m.Yг. в H:i",$time);
				$pay = $rowzd["pay"];
require_once('bbcode.php');
				?>
<div class='menucenter' style='padding:0px;margin:0px;margin-top:10px;'>
<div class="namee" style='padding:0px;margin:0px;'>Отчёт о выполнении задания # <?php echo $id;?> - <?php echo $title;?></div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th width="10%" align="center">Цена</th>
<th width="10%" align="center">Пользователь</th>
<th width="15%" align="center">Дата</th>
<th width="15%" align="center">Выполнил ?</th>
<th width="15%" align="center">Выполнил ?</th>
<th width="15%" align="center">Жалоба</th>
</tr></thead>
<tr>
					<td align="center"><font color="red"><?php echo $pay;?> руб.</font></td>
					<td align="center"><b><?php echo $nameuser;?></b></td>
					<td align="center"><small><?php echo $time;?></small><br /></td>
					
					<td align="center">
                                        <form method="post" action=""><input type="hidden" name="id" value="<?php echo $id;?>" /><input type="hidden" name="option" value="good"><input type="submit" value="Выполнил"  /></form>
					</td>
                                        <td align="center"><form method="post" action="">
                                        <input type="hidden" name="id" value="<?php echo $id;?>" /><input type="hidden" name="option" value="bad"><input type="submit" value="Не выполнил" />
                                        </form>
					</td>
					<td align="center"><a href="ban_task.php?ban1id=<?php echo $id;?>">Жалоба</a>
					</td>
                                        </tr>
<tr>
<td align="center" colspan="7" style='background-color:#ddd;'>Отчёт о выполнении:</td>
</tr>
<tr>
<td colspan="7" style="border:none;">
<font color="#CC0000"><?php echo $c_text;?></font>
</td>
</tr></table>
</div>
<?
			}
	}else{
		echo '<br /><center><font color="red"><b>Заданий для подтверждения НЕТ</b></font></center>';
	}

}
include('footer.php');?>